<?php
use yii\web\View;
use app\base\Common;
use app\base\Converter;
use yii\helpers\Html;
use yii\widgets\ActiveForm;
use kartik\select2\Select2;
use kartik\widgets\DepDrop;
use yii\helpers\Url;
use app\models\Artcentre;
use app\models\Vll;
use app\models\Staff;
use kartik\time\TimePicker;

//$Locstate=Common::getLocstate();
$Locdistrict=Common::getLocdistRep();

//$State= Common::getSiteState();
$District= Common::getSitedistrict();

//$Stateall= Common::getStateMaster();
$Districtall= Common::getDistrictMaster();

$sloc=Yii::$app->user->identity->signedin_loc;
$sdistrict=Yii::$app->user->identity->district;
$suser=Yii::$app->user->identity->users_name;

$Staffmodel = Staff::find()->where(["staffcode" => $suser])->one();
if($Staffmodel  !== null) 
 $Staffname = $Staffmodel->staffname;
else
 $Staffname="";


$Artcname=Artcentre::find()->where(["artccode" => $sloc])->one()->artcname;
$vllcode=Artcentre::find()->where(["artccode" => $sloc])->one()->vllcode;
$vllname=Vll::find()->where(["vllcode" => $vllcode])->one()->name_vl_lab_linked;;

$Staffnames= Common::getStaffnames();
$Staffcodes= Common::getStaffcodes();
$Cdate= Converter::toDisplay(strtotime(date('Y/m/d')));

$Cmonth=substr(date("F", strtotime(date('Y/m/d'))),0,3);
$today = strtotime(date('Y/m/d'));
$Cweek = ceil(date('d',$today)/7);
$Cyear=date('Y',$today);	

$Boxid= Common::getBoxid($sloc,$Cmonth,$Cweek,$Cyear);

/* @var $this yii\web\View */
/* @var $model app\models\Vltransportation */
/* @var $form yii\widgets\ActiveForm */

$headJS = <<<JS

function nospaces(ctrl){
   if(ctrl.value.match(/\s/g)){
      ctrl.value=ctrl.value.replace(/\s/g,'');
   }
  }
  
JS;
$this->registerJs($headJS, View::POS_HEAD);

$JS = "
	$('.datepicker').datepicker({autoclose: true, startDate: '01-01-1900', endDate: '0', format: '".strtolower(Yii::$app->formatter->dateFormat)."'});
	$('div.form-group.field-vltransportation-couriername,div.form-group.field-vltransportation-podref,div.form-group.field-vltransportation-rtime,div.form-group.field-vltransportation-rperson').removeClass('required').hide();
		
	 $('#vltransportation-tmech input[type=radio]').change(function(){
		$('div.help-block').html('');
		$('div.error-summary').hide();
		$('div.form-group').removeClass('has-success').removeClass('has-error');
		if($(this).prop('checked')) {	     			
			if($(this).val() != '2') {
			   $('div.form-group.field-vltransportation-couriername,div.form-group.field-vltransportation-podref').removeClass('required').hide();
		       $('#vltransportation-couriername,#vltransportation-podref').val('');	
			  }
		    else 	            		
			 $('div.form-group.field-vltransportation-couriername,div.form-group.field-vltransportation-podref').addClass('required').show(); 
		}   
	
	});	  	
	
	$('#vltransportation-tmech input[type=radio]').trigger('change');
	 
";

$this->registerJs($JS);

$JS = "
	$('.datepicker').datepicker({autoclose: true, startDate: '0',  format: '".strtolower(Yii::$app->formatter->dateFormat)."'});
	   
   $('#vltransportation-rdate').change(function(){
		// $('div.form-group').show();
		$('div.help-block').html('');
		$('div.form-group').removeClass('has-success').removeClass('has-error');
		 if($(this).val() == '') {	
		    $('div.form-group.field-vltransportation-rtime,div.form-group.field-vltransportation-rperson').removeClass('required').hide();
            $('#vltransportation-rtime,#vltransportation-rperson').val('');				
		  } 
	    else { 	
            $('div.form-group.field-vltransportation-rtime,div.form-group.field-vltransportation-rperson').addClass('required').show();		
		}
	});
	
	$('#vltransportation-rdate').focusout(function(e){
		// $('div.form-group').show();
		$('div.help-block').html('');
		$('div.form-group').removeClass('has-success').removeClass('has-error');
		 if($(this).val() == '') {	
		    $('div.form-group.field-vltransportation-rtime,div.form-group.field-vltransportation-rperson').removeClass('required').hide();
            $('#vltransportation-rtime,#vltransportation-rperson').val('');				
		  } 
	    else { 	
            $('div.form-group.field-vltransportation-rtime,div.form-group.field-vltransportation-rperson').addClass('required').show();		
		}
	});
   	
	 $('#vltransportation-rdate').trigger('change');	
	
	";
$this->registerJs($JS);
?>

<div class="departments-form">
	<div class="panel panel-default">
		<div class="panel-heading">
		
		</div>
		<div class="panel-body">
			<div class="row">
				<div class="col-lg-12">
					<?php
						$form = ActiveForm::begin(['enableAjaxValidation' => true,'options' => ['class' => 'form-horizontal']]);
						$template = [
							'labelOptions' => ['class' => 'form-label'],
							'template' => '<div class="col-sm-5">{label}{hint}</div><div class="col-sm-4">{input}{error}</div>',
						];
						$htemplate = [
							'options' => ['tag' => false],
							'template' => '{input}'
						];
					?>
					
					<?php if($model->isNewRecord) : ?>						               					
						<?= $form->field($model, 'district', $template)->textInput(['value' => $sdistrict,'readonly' => true]) ?>   
						<?= $form->field($model, 'staffcode', $template)->textInput(['value' => $suser,'readonly' => true]) ?>
                        <?= $form->field($model, 'staffname', $template)->textInput(['value' => $Staffname,'readonly' => true]) ?>						
                        <?= $form->field($model, 'rvll', $template)->textInput(['value' => $vllcode,'readonly' => true]) ?>		
                        <?= $form->field($model, 'rvllname', $template)->textInput(['value' => $vllname,'readonly' => true]) ?>	
	                    <?= $form->field($model, 'cdate', $template)->textInput(['value' => $Cdate,'readonly' => true]) ?>	
                        <?= $form->field($model, 'artccode', $template)->textInput(['value' => $sloc,'readonly' => true]) ?>
                        <?= $form->field($model, 'artcname', $template)->textInput(['value' => $Artcname,'readonly' => true]) ?>						
                        <?= $form->field($model, 'boxid', $template)->textInput(['value'=>$Boxid,'readonly' => true]) ?>						
					<?php else: ?>			 
						  <?= $form->field($model, 'district', $template)->textInput(['value'=>$model->district,'readonly' => true]) ?> 
				          <?= $form->field($model, 'staffcode', $template)->textInput(['value'=>$model->staffcode,'readonly' => true]) ?>	
						  <?= $form->field($model, 'staffname', $template)->textInput(['value'=>$model->staffname,'readonly' => true]) ?>
						  <?= $form->field($model, 'rvll', $template)->textInput(['value'=>$model->rvll,'readonly' => true]) ?>
						  <?= $form->field($model, 'rvllname', $template)->textInput(['value'=>$model->rvllname,'readonly' => true]) ?>
						  <?= $form->field($model, 'cdate', $template)->textInput(['value'=>$model->cdate,'readonly' => true]) ?>
						  <?= $form->field($model, 'artccode', $template)->textInput(['value'=>$model->artccode,'readonly' => true]) ?>	
						  <?= $form->field($model, 'artcname', $template)->textInput(['value'=>$model->artcname,'readonly' => true]) ?>
						  <?= $form->field($model, 'boxid', $template)->textInput(['value'=>$model->boxid,'readonly' => true]) ?>
					<?php endif; ?>
									
		            <?= $form->field($model, 'noofsample', $template)->textInput(['maxlength' => true]) ?>	
					<?= $form->field($model, 'tmech', $template)->radioList($model->deliverytype,['separator'=>'&nbsp&nbsp&nbsp&nbsp'])?>	
					<?= $form->field($model, 'couriername', $template)->textInput(['maxlength' => true]) ?>
					<?= $form->field($model, 'podref', $template)->textInput(['maxlength' => true,'onkeyup' => "nospaces(this)"]) ?>
					<?= $form->field($model, 'rdate', $template)->textInput(['class' => 'form-control datepicker']) ?>						
					<?= $form->field($model, 'rtime', Common::convertTemplate($template,"after","24 Hr Format"))->widget(TimePicker::classname(),['name' => 'rtime', 'pluginOptions' => ['defaultTime' =>'',								
								'showMeridian' => false,
								'minuteStep' => 1,								
							],
						'options' => ['placeholder' => 'Enter time...'],
					  ])->hint('(24 Hr Format)') ?>
				
				    <?= $form->field($model, 'rperson', $template)->textInput(['maxlength' => true]) ?>						
		
					<?= $form->field($model, 'status', $htemplate)->hiddenInput(['value' => 1])->label("") ?>
					<?= $form->field($model, $model->isNewRecord ? 'create_user' : 'update_user', $htemplate)->hiddenInput(['value' => yii::$app->user->identity->id])->label("") ?>
					<div class="form-group">
						<div class="col-sm-offset-5 col-sm-7">
							<?= Html::submitButton($model->isNewRecord ? Yii::t('app', 'Create') : Yii::t('app', 'Update'), ['class' => $model->isNewRecord ? 'btn btn-success' : 'btn btn-primary']) ?>
							<?= Html::a('Cancel', ['/'.Yii::$app->controller->id], ['class' => 'btn btn-default']) ?>
						</div>
					</div>
					<?php ActiveForm::end(); ?>
				</div>
				<!-- /.col-lg-6 (nested) -->
			</div>
			<!-- /.row (nested) -->
		</div>
		<!-- /.panel-body -->
	</div>
	<!-- /.panel -->
</div>